<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>zh-tw/irc_centos_request</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">zh-tw/irc_centos_request</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="zh-tw"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><span class="anchor" id="line-4"></span><p class="line867">
<h1 id="A.23centos_irc_.2BmDuQU1FnfZNeOJcAdShjB07kdoRSHXo.2F-">#centos irc 頻道內經常需用指令的初稿</h1>
<span class="anchor" id="line-5"></span><span class="anchor" id="line-6"></span><p class="line867">&lt;&lt;TableOfContents: execution failed [Argument "maxdepth" must be an integer value, not "[1]"] (see also the log)&gt;&gt; <span class="anchor" id="line-7"></span><span class="anchor" id="line-8"></span><p class="line862">你被指向這頁，可能是由於你在 CentOS 的一條 <a class="http" href="http://centos.org/irc">irc</a> 頻道上尋求協助。 <span class="anchor" id="line-9"></span>這裡的指令，你多數會需要用來析別你的問題。請使用 <a class="http" href="http://pastebin.centos.org">http://pastebin.centos.org</a> 來刊登結果，並只張貼 pastebin 的連結在頻道內。 <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><p class="line867">
<h2 id="A.2BVyhPYHZ8VU9OS1FI-">1. 在你發問之先</h2>
<span class="anchor" id="line-12"></span><span class="anchor" id="line-13"></span><p class="line862">請不要發這類問題：<em><strong>難道沒有人可以幫忙嗎？</strong></em> <span class="anchor" id="line-14"></span><span class="anchor" id="line-15"></span><p class="line862">我們建議你閱讀<a class="http" href="http://www.catb.org/~esr/faqs/smart-questions.html">「如何聰明地發問」</a>。 <span class="anchor" id="line-16"></span><span class="anchor" id="line-17"></span><p class="line867">
<h2 id="IRC_.2BTjuYTA-">2. IRC 主題</h2>
<span class="anchor" id="line-18"></span><span class="anchor" id="line-19"></span><p class="line874">請閱讀它！截至 2012 年 3 月 8 日 <span class="anchor" id="line-20"></span>{{{12:30 Topic for #centos: Welcome to #centos | Current: 6.2, 5.8 | <span class="anchor" id="line-21"></span>Don't paste in here, use <a class="http" href="http://pastebin.centos.org/">http://pastebin.centos.org/</a> | <a class="http" href="http://wiki.centos.org/irc">http://wiki.centos.org/irc</a> | <span class="anchor" id="line-22"></span>Backports: │<a class="http" href="http://tinyurl.com/r77l2">http://tinyurl.com/r77l2</a> | Some thinking required | <span class="anchor" id="line-23"></span>Be polite and considerate | <span class="anchor" id="line-24"></span>CentOS-4 is past its End of Life : <a class="http" href="http://lists.centos.org/pipermail/centos-announce/2012-February/018462.html">http://lists.centos.org/pipermail/centos-announce/2012-February/018462.html</a> <span class="anchor" id="line-25"></span>}}} <span class="anchor" id="line-26"></span><span class="anchor" id="line-27"></span><p class="line862">請亦參閱<a class="http" href="http://wiki.centos.org/SpoonFeed">「填鴨式教育」</a>。 <span class="anchor" id="line-28"></span><span class="anchor" id="line-29"></span><p class="line867">
<h2 id="A.2BUWdoOHJIZyxTyg_CentOS_.2BdnyITHJIZyw-">3. 內核版本及 CentOS 發行版本</h2>
<span class="anchor" id="line-30"></span><p class="line867"><span class="anchor" id="line-31"></span><span class="anchor" id="line-32"></span><span class="anchor" id="line-33"></span><pre><span class="anchor" id="line-1"></span>$ uname -a
<span class="anchor" id="line-2"></span>$ rpm -q centos-release</pre><span class="anchor" id="line-34"></span><p class="line862">來自<a class="http" href="http://wiki.centos.org/TipsAndTricks/BrokenVserver「有些伺服器並真正的">CentOS」</a>： <span class="anchor" id="line-35"></span><span class="anchor" id="line-36"></span><p class="line874">檢查你的 yum 設定檔： <span class="anchor" id="line-37"></span><span class="anchor" id="line-38"></span><span class="anchor" id="line-39"></span><pre><span class="anchor" id="line-1-1"></span>$ rpm -V yum centos-release ; ls /etc/yum.repos.d/ ; yum repolist; grep -ir exclude  /etc/yum.*</pre><span class="anchor" id="line-40"></span><span class="anchor" id="line-41"></span><p class="line867">
<h2 id="A.2BZS9j9Fkakc1ntmnLdoRZV072-">4. 支援多重架構的套件</h2>
<span class="anchor" id="line-42"></span><span class="anchor" id="line-43"></span><p class="line874">要檢視某台機器上的套件（多數是 32 位元兼容程式庫）的架構： <span class="anchor" id="line-44"></span><span class="anchor" id="line-45"></span><span class="anchor" id="line-46"></span><span class="anchor" id="line-47"></span><pre><span class="anchor" id="line-1-2"></span>rpm -qa --qf "%{name}-%{version}-%{release}.%{arch}\n" | sort ; \
<span class="anchor" id="line-2-1"></span>  rpm -q --qf "%{name}-%{version}-%{release}.%{arch}\n" glibc\*</pre><span class="anchor" id="line-48"></span><span class="anchor" id="line-49"></span><p class="line867">
<h2 id="A.2BZwmV3A_CPAN_.2BU8p96ItvbpBO43i8-">5. 有關 CPAN 及編譯源代碼</h2>
<span class="anchor" id="line-50"></span><span class="anchor" id="line-51"></span><p class="line862">透過 CPAN 來安裝 perl 模塊<strong>不被支援的</strong>，請使用<a class="http" href="http://wiki.centos.org/zh-tw/AdditionalResources/Repositories">第三方軟件庫</a>來安裝 perl 模塊。 <span class="anchor" id="line-52"></span><span class="anchor" id="line-53"></span><span class="anchor" id="line-54"></span><pre><span class="anchor" id="line-1-3"></span>$ which perl; rpm -q perl; rpm -V perl</pre><span class="anchor" id="line-55"></span><span class="anchor" id="line-56"></span><p class="line874">遺漏 perl 模塊的信息及利用 yum 指令來搜尋它的範例： <span class="anchor" id="line-57"></span><span class="anchor" id="line-58"></span><span class="anchor" id="line-59"></span><span class="anchor" id="line-60"></span><span class="anchor" id="line-61"></span><span class="anchor" id="line-62"></span><span class="anchor" id="line-63"></span><pre><span class="anchor" id="line-1-4"></span>Can't locate LWP/UserAgent.pm in @INC
<span class="anchor" id="line-2-2"></span>...
<span class="anchor" id="line-3"></span>$ yum provides "perl(LWP::UserAgent)"
<span class="anchor" id="line-4"></span>perl-libwww-perl.noarch : A Perl interface to the World-Wide Web
<span class="anchor" id="line-5"></span># yum install perl-libwww-perl</pre><span class="anchor" id="line-64"></span><span class="anchor" id="line-65"></span><p class="line874">這樣做是由於 CPAN 輕視包裝系統，而為要讓 perl 能正常運作，它會覆蓋現有的 CentOS 檔案，當中不乏核心檔案。 <span class="anchor" id="line-66"></span><span class="anchor" id="line-67"></span><p class="line874">更廣義來說，以編譯自源代碼的二進制檔案來取替系統內某些核心程式庫如 zlib，會繞過 RPM 利用 .so 檔名而作出的兼容性檢查。所得出的系統，肯定已不再是 CentOS。 <span class="anchor" id="line-68"></span><span class="anchor" id="line-69"></span><p class="line867">
<h2 id="A.2BmE1ZFozHbpA-">6. 額外資源</h2>
<span class="anchor" id="line-70"></span><span class="anchor" id="line-71"></span><p class="line874">…… 你亦應該考慮參閱以下資源、常見問題集、及提示： <span class="anchor" id="line-72"></span><span class="anchor" id="line-73"></span><p class="line867"><strong>技術性資源</strong> <span class="anchor" id="line-74"></span><ul><li><p class="line862">你系統上的 <tt>man</tt> 及 <tt>info</tt> 頁；請搜尋它們：<tt>man&nbsp;-k&nbsp;topic&nbsp;|&nbsp;less</tt> <span class="anchor" id="line-75"></span></li><li><p class="line891"><a class="http" href="http://wiki.centos.org/zh-tw/TipsAndTricks/YumAndRPM">http://wiki.centos.org/zh-tw/TipsAndTricks/YumAndRPM</a> （有關 CentOS 上的套件管理） <span class="anchor" id="line-76"></span></li><li><p class="line891"><a class="http" href="http://wiki.centos.org/zh-tw/AdditionalResources/Repositories">http://wiki.centos.org/zh-tw/AdditionalResources/Repositories</a> （假若你需要 CentOS 未提供的套件） <span class="anchor" id="line-77"></span></li><li><p class="line891"><a class="http" href="http://wiki.centos.org/zh-tw/FAQ">http://wiki.centos.org/zh-tw/FAQ</a> <span class="anchor" id="line-78"></span></li><li><p class="line891"><a class="http" href="http://wiki.centos.org/zh-tw/HowTos">http://wiki.centos.org/zh-tw/HowTos</a> <span class="anchor" id="line-79"></span></li><li><p class="line891"><a class="http" href="http://wiki.centos.org">http://wiki.centos.org</a> 上的 SEARCH 按鈕 <span class="anchor" id="line-80"></span></li><li><p class="line862">利用 google 搜尋 centos.org 網站 -&gt; <a class="http" href="http://www.google.com/search?q=site%3Acentos.org+">http://www.google.com/search?q=site%3Acentos.org+</a> <span class="anchor" id="line-81"></span><span class="anchor" id="line-82"></span></li></ul><p class="line867">
<h2 id="A.2BXjiJi5MvhlU-">7. 常見錯處</h2>
<span class="anchor" id="line-83"></span><span class="anchor" id="line-84"></span><ul><li><p class="line862">你並不是執行 CentOS：見 <a class="http" href="http://wiki.centos.org/zh-tw/AdditionalResources/OtherVoices">「其它聲音」</a> <span class="anchor" id="line-85"></span></li><li><p class="line862">你是 root，或者認為你的身份是…… <a class="http" href="http://wiki.centos.org/zh-tw/TipsAndTricks/BecomingRoot">「成為 root 用戶」</a>（問題涉及成為 root 後未清除路徑中屬於其他用戶、有潛在危險的路徑） <span class="anchor" id="line-86"></span><span class="anchor" id="line-87"></span></li></ul><p class="line867"><small>Translation of revision 27</small> <span class="anchor" id="line-88"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
